> ## Documentation Index
> Fetch the complete documentation index at: https://docs.speccheckrx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Lens Styles

> Returns lens styles for a lab for a given lens type.

```http theme={null}
GET https://api.speccheckrx.com/v1/catalogs/styles
```

### Authentication

This endpoint requires bearer token authentication.

### Headers

<ParamField header="Authorization" type="string" required="true">
  Your bearer token in the format `Bearer <token>`.
</ParamField>

<ParamField header="User-Email" type="string" required="true">
  The email address of the user making the request.

  Must exactly match the email address used to log in to the SpecCheck Dashboard.
</ParamField>

### Parameters

<ParamField query="lab" type="string" required="true">
  The ID of the lab for this request.
</ParamField>

<ParamField query="account_number" type="string" required="true">
  The lab account number for this request.
</ParamField>

<ParamField query="lens_type" type="string" required="true">
  The type of lens. One of `single_vision` or `multifocal`.
</ParamField>

### Returns

Returns an object with a `data` array of lens styles. If there are no matching styles, `data` is an empty array.

<ResponseField name="data" type="array of Lens Style Object">
  <Expandable title="Lens Style">
    <ResponseField name="id" type="string">
      The unique identifier for the lens style.
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the lens style.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "style_123",
        "name": "Single Vision"
      }
    ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash theme={null}
  curl "https://api.speccheckrx.com/v1/catalogs/styles?lab={{LAB_ID}}&account_number={{ACCOUNT_NUMBER}}&lens_type=single_vision" \
    -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
    -H "User-Email: {{USER_EMAIL}}"
  ```
</RequestExample>
